# Job Application Bot
This bot saves jobs by different types on Indeed and Glassdoor and exports them to a csv file. A job match scored is calculated by comparing a resume to the job description. It can also apply to job forms which are easily filled out, such as Lever and Greenhouse forms. Finally, there is a LinkedIn connections bot which automatically sends connection requests to people based on keywords supplied.


Download the jar file here: btieu.gitlab.io/job-application-bot/

![Screen Shot 2020-12-29 at 11 42 41 AM](https://user-images.githubusercontent.com/56370411/103306577-1d147200-49cb-11eb-8e7b-450de195662d.png)


## Installation

```
make install
```

## Running the tests

```
make test
```

## Building the docs

```
make documentation
```

## Building the executable
```
make build
```
